local scale = 1
local showclock = true	
local mediafolder ="Interface\\AddOns\\Ryv's Minimap\\media\\"
local font = mediafolder.."Ronda.ttf"
local fontSize = 8
local fontFlag = "OUTLINE MONOCHROME"
local mailicon = mediafolder.."Mail"
local texture = "Interface\\Buttons\\WHITE8x8.tga"
local backdrop = {edgeFile = texture, edgeSize = 1}
local bordercolor = {0/255, 0/255, 0/255}
local backdropcolor = {0/255, 0/255, 0/255}
local ClassColoredBorder = false
local _, class = UnitClass('player')
local color = CUSTOM_CLASS_COLORS and CUSTOM_CLASS_COLORS[class] or RAID_CLASS_COLORS[class]	

position = "TOPRIGHT"
position_x = -6.5       		
position_y = -6.5      		
-- Hold SHIFT to move
-----------------------
--make it pretty-
-----------------------
Minimap:SetMaskTexture(texture)
Minimap:SetFrameStrata("BACKGROUND")
Minimap:ClearAllPoints()
Minimap:SetPoint(position, UIParent, position_x, position_y)
Minimap:SetScale(scale)

LFGSearchStatus:SetClampedToScreen(true)

BorderFrame = CreateFrame("Frame", nil, Minimap)
BorderFrame:SetPoint("TOPLEFT", Minimap, "TOPLEFT", -1, 1)
BorderFrame:SetPoint("BOTTOMRIGHT", Minimap, "BOTTOMRIGHT", 1, -1)	
BorderFrame:SetBackdrop(backdrop)
if not ClassColoredBorder then
	BorderFrame:SetBackdropBorderColor(unpack(bordercolor))
else
	BorderFrame:SetBackdropBorderColor(color.r, color.g, color.b)
end	
BorderFrame:SetBackdropColor(unpack(backdropcolor))
BorderFrame:SetFrameLevel(0)
-------------------------
--Get rid of the oogly-
-------------------------
MinimapBorder:Hide()
MinimapBorderTop:Hide()
MinimapZoomIn:Hide()
MinimapZoomOut:Hide()
MiniMapVoiceChatFrame:Hide()
GameTimeFrame:Hide()
MinimapZoneTextButton:Hide()
MiniMapTracking:Hide()
MiniMapMailBorder:Hide()
MinimapNorthTag:SetAlpha(0)
MiniMapInstanceDifficulty:SetAlpha(1)
GuildInstanceDifficulty:SetAlpha(1)
--------------------------
--Zone and clockity-clock-
--------------------------
local zoneTextFrame = CreateFrame("Frame", nil, UIParent)
zoneTextFrame:SetPoint("TOPLEFT", Minimap, "TOPLEFT", 0, zoneTextYOffset)
zoneTextFrame:SetPoint("TOPRIGHT", Minimap, "TOPRIGHT", 0, zoneTextYOffset)
zoneTextFrame:SetHeight(19)
MinimapZoneText:SetParent(zoneTextFrame)
MinimapZoneText:ClearAllPoints()
MinimapZoneText:SetPoint("LEFT", 2, 1)
MinimapZoneText:SetPoint("RIGHT", -2, 1)
MinimapZoneText:SetFont("Fonts\\ronda.ttf", 8, "MONOCHROMEOUTLINE")
if showclock then
	LoadAddOn('Blizzard_TimeManager')
	local clockFrame, clockTime = TimeManagerClockButton:GetRegions()
	clockFrame:Hide()
	clockTime:Show()
	clockTime:SetFont(font, fontSize, fontFlag)
	TimeManagerClockButton:SetPoint("BOTTOM", Minimap, 0, -8.5)
else
	LoadAddOn('Blizzard_TimeManager')
	TimeManagerClockButton:Hide()	
end		
---------------------------
--If you want to boogie, you've got to move!--
---------------------------
Minimap:SetMovable(true)
Minimap:SetUserPlaced(true)
Minimap:SetScript("OnMouseDown", function()
    if (IsShiftKeyDown()) then
        Minimap:ClearAllPoints()
        Minimap:StartMoving()
    end
end)

Minimap:SetScript('OnMouseUp', function(self, button)
Minimap:StopMovingOrSizing()
    if (button == 'RightButton') then
        ToggleDropDownMenu(1, nil, MiniMapTrackingDropDown, self, - (Minimap:GetWidth() * 0.7), -3)
    elseif (button == 'MiddleButton') then
        ToggleCalendar()
    else
        Minimap_OnClick(self)
    end
end)
---------------------------
--Shift the must haves-
---------------------------
MiniMapBattlefieldFrame:ClearAllPoints()
MiniMapBattlefieldFrame:SetPoint("BOTTOMLEFT", Minimap, -3, 0)
MiniMapBattlefieldFrame:SetScale(1)
MiniMapBattlefieldFrame:SetFrameLevel(4)
MiniMapBattlefieldBorder:Hide()
MiniMapWorldMapButton:Hide()
MiniMapInstanceDifficulty:Hide()
MiniMapInstanceDifficulty.Show = function() end
GuildInstanceDifficulty:Hide()
GuildInstanceDifficulty.Show = function() end
function UpdateLFG()
	MiniMapLFGFrame:ClearAllPoints()
	MiniMapLFGFrame:SetPoint("BOTTOMLEFT", Minimap, "BOTTOMLEFT", -0.5, -5)
        MiniMapLFGFrame:SetScale(0.9)
    LFGSearchStatus:ClearAllPoints()
    LFGSearchStatus:SetPoint(position, MiniMapLFGFrame, position)
end
MiniMapLFGFrameBorder:SetAlpha(0)
DropDownList1:SetClampedToScreen(true)
hooksecurefunc("MiniMapLFG_Update", UpdateLFG)

MiniMapMailFrame:ClearAllPoints()
MiniMapMailFrame:SetPoint("BOTTOMRIGHT", Minimap, 4, -8)
MiniMapMailIcon:SetTexture(mailicon)
----------------------------
--Zoom zoom!
----------------------------
Minimap:EnableMouseWheel(true)
Minimap:SetScript("OnMouseWheel", function(self, z)
	local c = Minimap:GetZoom()
	if(z > 0 and c < 5) then
		Minimap:SetZoom(c + 1)
	elseif(z < 0 and c > 0) then
		Minimap:SetZoom(c - 1)
	end
end)
-----------------------------
--Extra B-E-A-utiful stuff-
-----------------------------
SlashCmdList.RELOADUI = ReloadUI
SLASH_RELOADUI1 = "/rl"
SlashCmdList.TICKET = ToggleHelpFrame
SLASH_TICKET1 = "/gm"

SubZoneTextString:SetFont(font, 8, "MONOCHROMEOUTLINE")
ZoneTextString:SetFont(font, 8, "MONOCHROMEOUTLINE")
PVPInfoTextString:SetFont(font, 8, "MONOCHROMEOUTLINE")
PVPArenaTextString:SetFont(font, 8, "MONOCHROMEOUTLINE")
ZoneTextString:SetPoint("CENTER", Minimap, "CENTER", 0, 0)
SubZoneTextString:SetPoint("CENTER", ZoneTextString, "CENTER", 0, -3)
